org.bouncycastle.openpgp

## Class PGPOnePassSignatureList

- java.lang.Object
- - org.bouncycastle.openpgp.PGPOnePassSignatureList

    public class PGPOnePassSignatureList
    extends java.lang.Object

Holder for a list of PGPOnePassSignatures

### Constructor Summary

Constructors
Constructor and Description
`PGPOnePassSignatureList(PGPOnePassSignature sig)`
`PGPOnePassSignatureList(PGPOnePassSignature[] sigs)`

### Method Summary

Methods
`PGPOnePassSignature` `get(int index)`
`boolean` `isEmpty()`
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PGPOnePassSignatureList

    public PGPOnePassSignatureList(PGPOnePassSignature[] sigs)

#### PGPOnePassSignatureList

    public PGPOnePassSignatureList(PGPOnePassSignature sig)

### Method Detail

#### get

    public PGPOnePassSignature get(int index)

#### size

    public int size()

#### isEmpty

    public boolean isEmpty()